Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.crypto.dsig
Interface SignatureMethod

All Superinterfaces:
  AlgorithmMethod, XMLStructure

    public interface SignatureMethod

extends XMLStructure, AlgorithmMethod

A representation of the XML `SignatureMethod` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="SignatureMethod" type="ds:SignatureMethodType"/>
         <complexType name="SignatureMethodType" mixed="true">
           <sequence>
             <element name="HMACOutputLength" minOccurs="0" type="ds:HMACOutputLengthType"/>
             <any namespace="##any" minOccurs="0" maxOccurs="unbounded"/>
               <!-- (0,unbounded) elements from (1,1) namespace -->
           </sequence>
           <attribute name="Algorithm" type="anyURI" use="required"/>
         </complexType>

A `SignatureMethod` instance may be created by invoking the `newSignatureMethod` method of the `XMLSignatureFactory` class.

See Also:
  `XMLSignatureFactory.newSignatureMethod(String, SignatureMethodParameterSpec)`

Field Summary
`static java.lang.String` | `DSA_SHA1` The DSAwithSHA1 (DSS) signature method algorithm URI.
`static java.lang.String` | `HMAC_SHA1` The HMAC-SHA1 MAC signature method algorithm URI
`static java.lang.String` | `RSA_SHA1` The RSAwithSHA1 (PKCS #1) signature method algorithm URI.

Method Summary
`java.security.spec.AlgorithmParameterSpec` | `getParameterSpec()` Returns the algorithm-specific input parameters of this `SignatureMethod`.

Methods inherited from interface javax.xml.crypto.XMLStructure
`isFeatureSupported`

Methods inherited from interface javax.xml.crypto.AlgorithmMethod
`getAlgorithm`

Field Detail

### DSA_SHA1

    static final java.lang.String DSA_SHA1

  The DSAwithSHA1 (DSS) signature method algorithm URI.

  See Also:
    Constant Field Values

### RSA_SHA1

    static final java.lang.String RSA_SHA1

  The RSAwithSHA1 (PKCS #1) signature method algorithm URI.

  See Also:
    Constant Field Values

### HMAC_SHA1

    static final java.lang.String HMAC_SHA1

  The HMAC-SHA1 MAC signature method algorithm URI

  See Also:
    Constant Field Values

Method Detail

### getParameterSpec

    java.security.spec.AlgorithmParameterSpec getParameterSpec()

  Returns the algorithm-specific input parameters of this `SignatureMethod`.

  The returned parameters can be typecast to a `SignatureMethodParameterSpec` object.

  Specified by:
    `getParameterSpec` in interface `AlgorithmMethod`
  Returns:
    the algorithm-specific input parameters of this `SignatureMethod` (may be `null` if not specified)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| XML Digital Signature and Encryption, 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004, IBM Corporation and Sun Microsystems, Inc. All rights reserved.
Please send comments to: jsr-106-comments@jcp.org